// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItemComponent.hpp"
#include "display/animation/Animation.hpp"

namespace Dawn {
  class AnimationController : public SceneItemComponent {
    private:
      std::vector<Animation*> animations;
      void onSceneUpdate();

    public:
      AnimationController(SceneItem *item);

      void addAnimation(Animation *animation);

      void onStart() override;
      void onDispose() override;
  };
}